package cn.net.caoyao.cpzshandset.db.presenter;

import java.util.List;

import android.database.Cursor;
import cn.net.caoyao.cpzshandset.bean.ShipmentOnlineOrderBean;
import cn.net.cpzslibs.prot.handset.bean.res.LogisticsOrderInfoBean;
import cn.net.cpzslibs.prot.handset.bean.res.YthOrderBean;

public interface OnlineTruckInvoiceDal {
	void insertLogisticsOrderInfoBean(LogisticsOrderInfoBean b);
	void insertOnlineInvoiceList(List<YthOrderBean> orderBeans);
//	void insertOnlineInvoiceList(List<?> b);
//	void insertTest(List<?> b);
	
	void insertOnlineInvoice(YthOrderBean orderBean);
	
	void deleteOrderBeanById(long id);
	
	void deleteAllOrderBean();
	
	ShipmentOnlineOrderBean queryYthOrderById(long id);
	
	void updateOnlineInvoiceStatusById(int error_code,int native_status,long id);
	
	List<ShipmentOnlineOrderBean> queryAllYthOrderASC();
	
	List<ShipmentOnlineOrderBean> queryAllYthOrderDESC();
	boolean insertHasExist(long id);
	ShipmentOnlineOrderBean getShipmentOnlineOrderBean(Cursor c);
	
	
}
